Subject: DLUR stuff #1 (item 8334)

From: [email-masked]
Date: Tue, 30 Apr 96 13:18:56 EST

I've gone over the AIW10 APPN Reference SIG minutes regarding DLUR
proposals I submitted, and here's where my level of understanding of
the discussion in San Jose stands:

1) item 8334 - DLUR strategy for DLUS searches

   a) When I included in step 5 a time interval of t+n, I didn't intend
      it to be an exponential time increase increase, just a time interval
      greater than the time interval used in steps 2-4.  If a sliding
      linear timer will get you from t to t+n, fine (seems like an
      implementation option on how the timer is implemented).

   b) I've tried rewriting step 5 a couple of ways - do either of the
      following read better than the version in the proposal?

         * 5) If still no success, wait time t+n and then repeat steps
              1 through 4 (do this forever until successful)

         * 5) If still no success, toggle between primary and backup
              once every time t+n until successful

   c) Since submitting the proposal, I've realized it focuses on just
      getting another pipe.  A new DLUS may not have the right
      capabilities match, and the architecture discusses DLUR options
      to keep or get another pipe.  However, the document doesn't really
      address acquiring a pipe that meets capabilities but can't serve
      all of the DLUR's PUs needing a DLUS.

        - Does the DLUR look for yet another DLUS for a PU which is not
          served by the new DLUS?

        - Does the DLUR tell the PU "sorry cannot be activated
          at this time"?

        - What if the DLUR has two PUs and only one of them is
          supported by the new DLUS?  Does it look for another DLUS
          for the other PU?

      I haven't done an exhaustive product poll, but so far it seems
      some products currently get a new DLUS and if it doesn't support
      all needy PUs, tough.  Since primary and backup DLUSs can be
      coded on a per PU basis, I strongly recommend that the item 8334
      search strategy (once approved) be implemented on a per PU basis.
      I think a sentence with that recommendation should be added to the
      proposal.

      Remember, the entire item is a recommendation; products have
      implemented in widely differing ways, and convergence would
      help, but it will not be mandated.

Comments?

Ed Tremblay

P.S. I'll be out of the office most of the next three weeks, so I won't
     jump into the discussion much until the end of May.